# -*- coding: utf-8 -*-
"""
Created on Mon Aug 15 12:41:57 2016

@author: akibdpt
"""

from .individual import individual
from copy import deepcopy
import datetime


class date(individual):
            
    
    def __init__(self, sort, day = None, month = None, year = None):
        super().__init__(sort)
        self.type = 'ind-date'
        if day == None and month == None and year == None:
            self.value = datetime.date.today()
        else:
            self.value = datetime.date(year, month, day)
                
    def printVal(self):
        return str(self.value)            
                
    def isNil(self):
        return False #self.value == Decimal('0')
        
    def __eq__(self, other):
        if other is None or other.type != 'ind-date':
            return False
        if self.sort == other.sort:
            return (self.value == other.value)
        
    def compareValue(self, other):
        if self.value > other.value:
            return 1
        elif self.value == other.value:
            return 0
        return -1    
        
    def duplicateInd(self):
        duplicate = date(self.sort, self.value.day, self.value.month, self.value.year)
        if self.attribute is not None:
            duplicate.setAttribute(deepcopy(self.attribute))
        return duplicate
    #-------------------------------------------------------------
"""
    def toStringInd(self):
        return 
    def parse(self):
        return    
""" 