# -*- coding: utf-8 -*-
"""
Created on Mon Aug 15 09:15:55 2016

@author: akibdpt
"""


from .individual import individual
from copy import deepcopy
from decimal import Decimal


class numeric(individual):
            
    
    def __init__(self, sort, value = None):
        super().__init__(sort)
        self.type = 'ind-numeric'
        if value == None:
            self.value = 0
        else:
            self.value = Decimal(str(value))
                
    def printVal(self):
        return str(self.value)   
         
    def isNil(self):
        return False #self.value == Decimal('0')
        
    def __eq__(self, other):
        if other is None or other.type != 'ind-numeric':
            return False
        if self.sort == other.sort:
            return (self.value == other.value)
        
    def compareValue(self, other):
        if self.value > other.value:
            return 1
        elif self.value == other.value:
            return 0
        return -1    
        
    def duplicateInd(self):
        duplicate = numeric(self.sort, self.value)
        if self.attribute is not None:
            duplicate.setAttribute(deepcopy(self.attribute))
        return duplicate
    #-------------------------------------------------------------
"""
    def toStringInd(self):
        return 
    def parse(self):
        return    
""" 