# -*- coding: utf-8 -*-
"""
Created on Mon Oct 10 10:33:05 2016

@author: akibdpt
"""

from sortal import (rule, primitiveSort, lineSegment2D, vector2D)
from api_create import create # Imports create methods to use create.polygon_form to make LHS and RHS in rules
from sort_types import sort_types # Imports sort types

create = create()
    
def rule2():      
    v1 = vector2D (0, 0)
    v2 = vector2D (0, 1)
    v3 = vector2D (2, 0)
    
    v4 = vector2D (0, 0)
    v5 = vector2D (1, 0)
    v6 = vector2D (0, -2)
    
    # LHS
    formL1_set = [v1, v2, v3]
    formL1 = create.polygonForm(sort_types['lineSeg2D'], formL1_set)
    
    # RHS
    formL2_set = [v4, v5, v6]
    formL2 = create.polygonForm(sort_types['lineSeg2D'], formL2_set)
  
    r = rule('Rule 2', 'Rotates right triangle 90 degrees clockwise', formL1, formL2)
    return r