# -*- coding: utf-8 -*-
"""
Created on Wed Sep  7 16:17:52 2016

@author: akibdpt
"""

class fragment():
    def __init__(self, sort):
        self.sort = sort
        if 'distinguishable' in self.mapping().type:
            self.distinguishables = []
            self.individuals = None
        else: 
            self.individuals = []
            self.distinguishables = None
        self.visited = False


    def __str__(self):
        if self.distinguishables is None:
            string = 'inds'
            for i in self.individuals:
                string+= '|'+str(i)
            return string
        if self.individuals is None:
            string = 'dists_'
            for i in self.distinguishables:
                string+= '|'+str(i)
            return string

    def addIndividual(self, map, ind) :
        if self.distinguishables is not None:
            element =  map.distinguish(ind)
            if element is not None and element not in self.distinguishables:
                self.distinguishables.append(element)
        else:
            self.individuals.append(ind)
            
    def mapping(self):
        return self.sort.baseSort().mapping()
    
    def dimensionality(self):
        return self.sort.baseSort().dimension()
    
    def __iter__(self):
        if self.distinguishables is None:
            return iter(self.individuals)
        else:
            return fragment.distIter(self.distinguishables)
            
    class distIter():
        def __init__(self, dists):
            self.i = 0
            self.dists = dists
        
        def __iter__(self):
            return self
        
        def __next__(self):
            if self.i < len(self.dists):
                self.i += 1
                return self.dists[self.i-1].element.individual
            else:
                raise StopIteration
    
    
            
        

    #def distinguishablesIter(self):