# -*- coding: utf-8 -*-
"""
Created on Mon Aug 15 13:12:55 2016

@author: akibdpt
"""

from .individual import individual
from copy import deepcopy


class imageUrl(individual):
            
    
    def __init__(self, sort, value = None, icon = None):
        super().__init__(sort)
        self.type = 'ind-imageUrl'
        if value == None:
            self.value = ''
            self.icon = ''
        else:
            self.value = value
            self.icon = icon
                
    def isNil(self):
        return self.value == ''
        
    def __eq__(self, other):
        if other is None or other.type != 'ind-imageUrl' :
            return False
        if self.sort == other.sort:
            return (self.value == other.value) and (self.icon == other.icon)
        
    def compareValue(self, other):
        if self.value > other.value:
            return 1
        if self.value < other.value:
            return -1
        if self.icon > other.icon:
            return 1
        if self.icon < other.icon:
            return -1
        return 0
        
    def duplicateInd(self):
        duplicate = imageUrl(self.sort, self.value, self.icon)
        if self.attribute is not None:
            duplicate.setAttribute(deepcopy(self.attribute))
        return duplicate
    #-------------------------------------------------------------
"""
    def toStringInd(self):
        return 
    def parse(self):
        return    
""" 