# -*- coding: utf-8 -*-
"""
Created on Fri Aug 19 10:38:02 2016

@author: akibdpt
"""

from .individual import individual
from copy import deepcopy


class weight(individual):
            
    MIN = 0
    MAX = 255
    
    def __init__(self, sort = None, w = -1):
        super().__init__(sort)
        self.type = 'ind-weight'
        if w > weight.MAX:
            w = weight.MAX
        self.value = w
            
    def printVal(self):
        return str(self.value)   
        
    def length(self):
        return len(self.value)
        
    def isNil(self):
        return self.value == -1
        
    def __eq__(self, other):
        if other is None or other.type != 'ind-weight' :
            return False
        if self.sort == other.sort:
            return (self.value == other.value)
        
    def compareValue(self, other):
        if self.value > other.value:
            return 1
        elif self.value == other.value:
            return 0
        return -1    
    
    def duplicateInd(self):
        duplicate = weight(self.sort, self.value)
        if self.attribute is not None:
            duplicate.setAttribute(deepcopy(self.attribute))
        return duplicate

    def getMinInd(self):
        return weight(self.sort)    
        
    #-------------------------------------------------------------

"""
    def toStringInd(self):
        return 
    def parse(self):
        return    
""" 