# -*- coding: utf-8 -*-
"""
Created on Tue Sep  6 12:38:27 2016

@author: akibdpt
"""

class distinguishable():
    class elm():
        def __init__(self, codescriptor):
            self.individual = codescriptor
            self.forms = {}
            
        def add(self, ind):
            sort = ind.sort
            check = False
            for i in self.forms.keys():
                if i == sort.name:
                    form = self.forms[sort.name]
                    check = True
            """
            for i in self.forms:
                if i[0] == sort.name:
                    form = self.forms[sort.name]
                    check = True
            """
            if check == False:
                form = sort.newForm()
                self.forms[sort.name] = form
            form.insert(ind)
            
        def __eq__(self, other):
            if not isinstance(other, distinguishable.elm):
                return False
            return self.individual == other.individual
            
    def __init__(self, ind):
        self.element = distinguishable.elm(ind)
        self.counterparts = []
        
    def __str__(self):
        return str(self.element.individual)+'_'+str(self.element.individual)+'|'+str(self.counterparts)

    def addCounterpart(self, ind):
        element = ind.codescriptor()
        counterpart = None
        for i in self.counterparts:
            if i[0] == element:
                counterpart = i[1]
        if counterpart is None:
            counterpart = distinguishable.elm(element)
            self.counterparts.append([element, counterpart])
        counterpart.add(ind)
        
    def getCounterparts(self):
        result = []
        for i in self.counterparts:
            result.append(i[1])
        return result
            
    def addInstance(self, ind):
        self.element.add(ind)
    
    def clear(self):
        self.counterparts.clear()
        

