# -*- coding: utf-8 -*-
"""
Created on Wed Sep 14 09:24:33 2016

@author: akibdpt
"""

class paramSet():
    def __init__(self):
        self.parameters = {}
        self.conditions= {}
        self.lhs = None
        self.rhs = None
    
    def isEmpty(self):
        return len(self.parameters) == 0
        
    def add(self, sort, name, value):
        key = (sort.name, name)
        oldValue = self.parameters[key]
        if oldValue is None:
            self.parameters[key] = value
        elif oldValue != value:
            return False
        return True
        
    def merge(self, other):
        self.parameters = {**self.parameters, **other.parameters}
        self.conditions = {**self.conditions, **other.conditions}
        
    def retrieve(self, sort, name):
        key = (sort.name, name)
        result = self.parameters[key]
        if result is None and self.lhs is not None: 
            pass
        return result
        
    def getState(self, delayable):
        return self.conditions[delayable]
        
    def delay(self, delayable, context):
        self.conditions[delayable] = context
    
    def resolveDelay(self, delayable):
        del self.conditions[delayable]
    
    def apply(self, element):
        return element.edit(self)
