# -*- coding: utf-8 -*-
"""
Created on Tue Nov 22 11:44:41 2016

@author: akibdpt
"""
from enum import Enum
from .colorMode import colorMode
from .enumeration import enumeration

class argument():
    class argumentType(Enum):
        NONE = [False,0]
        IDENTIFIER = [True,1]
        UPPERBOUND = [True,2]
        LOCALE = [True,3]
        SORTSLINK = [False,4]
        COLORMODE = [True,5]
        ENUMERATION = [False,6]
        
    def __init__(self, argType, value):
        self.type = 'sortParam-argument'
        self.argType = argType
        self.value = value
        
    def argValue(self):
        return self.value
                
    def cardinality(self,argType):
        a = self.argumentType
        if argType == a.IDENTIFIER or argType == a.UPPERBOUND:
            return 1
        elif argType == a.SORTSLINK or argType == a.LOCALE:
            return 2
        elif argType == a.COLORMODE:
            return 6
        else:
            return 0

    @staticmethod
    def defineArgument(argType, argList):
        if argType == argument.argumentType.NONE:
            raise ValueError("This characteristic individual allows no arguments")
        result = None
        if argType == argument.argumentType.IDENTIFIER:
            pass
        elif argType == argument.argumentType.UPPERBOUND:
            pass
        elif argType == argument.argumentType.LOCALE:
            pass
        elif argType == argument.argumentType.SORTSLINK:
            pass
        elif argType == argument.argumentType.COLORMODE:
            result = colorMode(argList)
        elif argType == argument.argumentType.ENUMERATION:
            result = enumeration(argList)
        return result
