# -*- coding: utf-8 -*-
"""
Created on Thu Nov 24 10:44:39 2016

@author: akibdpt
"""

class enumeration():
    """
    argList = [identifier_1, identifier_2, identifier_3 ,..., identifier_n, None,
               rank_1-1,     rank_1-2,     rank_1-3,    ,..., rank_1-n,
               rank_2-1,     rank_2-2,     rank_2-3,    ,..., rank_2-n,
               ...,
               rank_n-1,     rank_n-2,     rank_n-3,    ,..., rank_n-n,]
    """
    def __init__(self, argList):
        current = 0
        if argList[0] == None:
            raise ValueError(argList[current], "Expected at least one identifier")
        identifiers = []
        while argList[current] != None:
            identifiers.append(argList[current])
            current += 1
            
        identifiers.sort()
        size = len(identifiers)
        
        ranking = []
        for i in range(size):
            ranking.append([])
            for j in range(size):
                current += 1
                ranking[i].append(identifiers.index(argList[current]))
        self.values = identifiers
        self.rankings = ranking
        
    def argValue(self):
        string = ''
        for i in range(len(self.values)-1):
            string+=self.values[i]+','
        string += self.values[-1]
        return string
        
    def ranking(self, first, second):
        if first <0 or second < 0 or first >= len(self.values) or second >= len(self.values):
            raise IndexError('enumeration index out of bounds')
        return self.rankings[first][second]